POST
Create Plaid Link token
Creates a Plaid Link token for initiating the Plaid Link flow.
The token is used to open Plaid Link in the client application, allowing
users to connect their bank accounts. After the user completes the Plaid
Link flow, use the /api/tradfi/v1/plaid/link/token/exchange endpoint
with the returned token (as linkToken) and the publicToken received
from Plaid Link to complete the bank account linking process.
Body Params
object
-
enterpriseIdstring requiredThe ID of the enterprise -
androidPackageNamestringThe Android package name for OAuth redirect flows. Required when initializing Plaid Link on Android. -
redirectUristringThe OAuth redirect URI for mobile and web flows.
Responses
201
Created
Response Body
object
-
dataobject requireddata object
-
tokenstring requiredThe Plaid Link token to use in the client -
expirationstring date-time requiredThe expiration time of the link token
-
404
Not Found - Enterprise not found or user does not have access
Response Body
object
-
errorNamestring required -
errorstring required
424
Failed Dependency - Plaid service is unavailable
Response Body
object
-
errorNamestring required -
errorstring required
428
Precondition Required - Plaid is not configured for this account
Response Body
object
-
errorNamestring required -
errorstring required
500
Internal Server Error
Response Body
object
-
errorNamestring required -
errorstring required